List tools
Lists the tools the caller can read.
Authorization
bearerAuth AuthorizationBearer <token>
JWT token from authentication
In: header
Query Parameters
organization_id*string
Match
^org_user_id?string
Match
^user_Header Parameters
Endless-Api-Version?string
Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/tools?organization_id=string"{ "can_manage_tools": true, "can_create_connectors": true, "connectors": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "codename": "string", "organization_id": "string", "label": "string", "description": "string", "url": "string", "transport": "http", "auth_kind": "clerk", "provider": "string", "scopes": "string", "client_env_prefix": "string", "enabled": true, "catalog": "string", "catalog_fingerprint": "string", "catalog_at": "2019-08-24T14:15:22Z", "created_by_id": "string", "deleted_at": "2019-08-24T14:15:22Z", "deleted_by_id": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "state": { "workspace_enabled": true, "user_enabled": true, "effective": true }, "can_edit": true, "can_delete": true } ], "skills": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "codename": "string", "organization_id": "string", "source": "built-in", "name": "string", "description": "string", "body": "string", "author": "string", "project_scoped": true, "visibility": "private", "workspace_role": "viewer", "created_by_id": "string", "mod_shortcut_id": "string", "deleted_at": "2019-08-24T14:15:22Z", "deleted_by_id": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "resources": { "scripts": 0, "references": 0, "assets": 0 }, "state": { "workspace_enabled": true, "user_enabled": true, "effective": true }, "can_edit": true, "can_delete": true, "shared": true } ]}